/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.10.24
 * 描述               :        			客户资质信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Slm.CustomerInformation.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.CustomerInformation.mapper.SlmCustomerAptitudesMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUSTOMER_APTITUDES", namespace=SlmCustomerAptitudesMapper.class)
public class SlmCustomerAptitudes extends BaseVO implements Serializable {
	/**
	 *  客户资质证书信息表
	 */
	private static final long serialVersionUID = 7454487956932191597L;
	@Id
	//资质证书编号
	private String aptitudes_no;
	public String  getAptitudes_no() {
		return this.aptitudes_no;
	}
	public void setAptitudes_no(String aptitudes_no) {
		this.aptitudes_no = aptitudes_no;
	}
	
	@Column
	//客户编号
	private String customer_no;
	public String  getCustomer_no() {
		return this.customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	@Column
	//客户名称
	private String customer_name;
	public String  getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	@Column
	//资质证书名称
	private String aptitudes_name;
	public String  getAptitudes_name() {
		return this.aptitudes_name;
	}
	public void setAptitudes_name(String aptitudes_name) {
		this.aptitudes_name = aptitudes_name;
	}

	@Column
	//发证机关
	private String license_org;
	public String  getLicense_org() {
		return this.license_org;
	}
	public void setLicense_org(String license_org) {
		this.license_org = license_org;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//获证日期
	private Date license_date;
	public Date  getLicense_date() {
		return this.license_date;
	}
	public void setLicense_date(Date license_date) {
		this.license_date = license_date;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//有效日期
	private Date effect_date;
	public Date  getEffect_date() {
		return this.effect_date;
	}
	public void setEffect_date(Date effect_date) {
		this.effect_date = effect_date;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//失效日期
	private Date invalid_date;
	public Date  getInvalid_date() {
		return this.invalid_date;
	}
	public void setInvalid_date(Date invalid_date) {
		this.invalid_date = invalid_date;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//状态
	private String valid_flag;
	public String  getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	@Column
	//创建人编号
	private String create_man_no;
	public String  getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	@Column
	//创建人姓名
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_man_no;
	public String  getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	@Column
	//修改人姓名
	private String update_man_name;
	public String  getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_man_no;
	public String  getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	@Column
	//删除人姓名
	private String delete_man_name;
	public String  getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
